import { Routes } from '@angular/router';

export const AUTH_ROUTES: Routes = [
  {
    path: '',
    loadComponent: () =>
      import('./email-login/email-login.component').then((m) => m.EmailLoginComponent),
  },
  {
    path: 'select',
    loadComponent: () =>
      import('./login-select/login-select.component').then((m) => m.LoginSelectComponent),
  },
  {
    path: 'department',
    loadComponent: () =>
      import('./department-login/department-login.component').then(
        (m) => m.DepartmentLoginComponent
      ),
  },
  {
    path: 'digilocker',
    loadComponent: () =>
      import('./digilocker-login/digilocker-login.component').then(
        (m) => m.DigiLockerLoginComponent
      ),
  },
];
